// SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <QCheckBox>
#include <QDateEdit>
#include <QDialog>
#include <QJsonObject>
#include <QLineEdit>
#include <QListWidget>
#include <QStringListModel>
#include <QTextEdit>

#include "featuredartmodel.h"

class ArtConfigWindow : public QDialog
{
    Q_OBJECT
public:
    explicit ArtConfigWindow(const QString &filename, const QString &definitionDirectory, QWidget *parent = nullptr);

private:
    void loadData(const QString &filename);
    void saveData(const QString &filename);

    QLineEdit *m_newBannerEdit = nullptr;
    QCheckBox *m_commissionsOpen = nullptr;

    FeaturedArtModel *model = nullptr;

    QPushButton *saveButton = nullptr;
};