// SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <QCheckBox>
#include <QDateEdit>
#include <QDialog>
#include <QDir>
#include <QJsonObject>
#include <QLineEdit>
#include <QListWidget>
#include <QStringListModel>
#include <QTextEdit>

class ArtDetailWindow : public QDialog
{
    Q_OBJECT
public:
    ArtDetailWindow(const QString &filename, const QUrl &imagePath, QWidget *parent = nullptr);

private:
    void loadData(const QString &filename);

    void saveData(const QString &filename);

    QLineEdit *m_titleEdit;
    QTextEdit *m_altTextEdit;
    QTextEdit *m_descriptionEdit;
    QCheckBox *m_knowExactDateBox;
    QDateEdit *m_dateEdit;
    QLineEdit *m_newgroundsUrlEdit;
    QLineEdit *m_pixivUrlEdit;
    QLineEdit *m_mastodonUrlEdit;
    QLineEdit *m_programEdit;
    QCheckBox *m_nsfwBox;

    QStringListModel *m_characterListModel;
    QStringListModel *m_tagsListModel;
};