// SPDX-FileCopyrightText: 2024 Joshua Goins <josh@redstrate.com>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <QCheckBox>
#include <QDateEdit>
#include <QDialog>
#include <QDir>
#include <QJsonObject>
#include <QLineEdit>
#include <QListWidget>
#include <QStringListModel>
#include <QTextEdit>

class CharacterDetailWindow : public QDialog
{
    Q_OBJECT
public:
    explicit CharacterDetailWindow(const QString &filename, QWidget *parent = nullptr);

private:
    void loadData(const QString &filename);

    void saveData(const QString &filename);

    QLineEdit *m_nameEdit;
    QLineEdit *m_pronounsEdit;
    QTextEdit *m_descriptionEdit;
    QLineEdit *m_ageEdit;
    QLineEdit *m_originEdit;
    QCheckBox *m_originalCharacterEdit;
};