// SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "artmodel.h"

class FeaturedArtModel : public ArtModel
{
public:
    FeaturedArtModel(const QString &definitionDirectory);

    [[nodiscard]] QVariant data(const QModelIndex &index, int role) const override;

    [[nodiscard]] Qt::ItemFlags flags(const QModelIndex &index) const override;

    bool setData(const QModelIndex &index, const QVariant &value, int role) override;

    void setFeaturedItems(const QStringList &featured);

private:
    QSet<QPersistentModelIndex> checkedItems;
};